import type { TranslateConfig } from "../..";
import type { YandexTranslationConfig } from '.';
import type { Logger } from "../../../../core/logger";
import { TranslateLogger } from '../../logger';
export declare class Provider {
    readonly logger: TranslateLogger;
    constructor(config: TranslateConfig);
    pipe(logger: Logger): void;
    skip(skipped: [string, string][]): Promise<void>;
    translate(files: string[], config: TranslateConfig & YandexTranslationConfig): Promise<void>;
}
